use crate::types::Sidedef;

pub struct SidedefLump {
    pub sidedefs: Vec<Sidedef>,
}

impl SidedefLump {
    pub fn get_num_sidedefs(&self) -> usize {
        self.sidedefs.len()
    }

    pub fn get_all_sidedefs(&self) -> Vec<Sidedef> {
        self.sidedefs.to_vec()
    }

    pub fn get_sidedef(&self, pos: usize) -> Sidedef {
        self.sidedefs[pos].to_owned()
    }
}
